Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.controls.generic
Interface FoldersControl

All Superinterfaces
  ContentControlBase<com.bea.apps.groupspace.folders.Folder,com.bea.apps.groupspace.folders.Folder>, GroupSpaceContentControl<com.bea.apps.groupspace.folders.Folder>, Serializable

    public interface FoldersControl

extends GroupSpaceContentControl<com.bea.apps.groupspace.folders.Folder>

todo: clean up this class and get rid of methods we're not using.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`com.bea.apps.groupspace.folders.Folder` | `create(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String owner, com.bea.apps.groupspace.folders.Folder parentFolder)`
`com.bea.apps.groupspace.folders.Folder` | `create(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String owner, com.bea.content.ID parentID)`
`com.bea.apps.groupspace.folders.Folder` | `findFolder(String searchExpression, String searchPath)`
`com.bea.apps.groupspace.folders.Folder` | `getFolder(String name, com.bea.content.Node searchFromNode)` Look for it before creating.
`com.bea.apps.groupspace.folders.Folder` | `getFolder(String name, String searchExpression, com.bea.content.Node searchFromNode)` Look for it before creating.
`com.bea.apps.groupspace.folders.Folder` | `getFolder(String name, String searchExpression, com.bea.content.Node searchFromNode, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String owner)` Look for it before creating.
`com.bea.apps.groupspace.folders.Folder` | `getTopFolder(String contentType)`
`com.bea.apps.groupspace.folders.Folder` | `getUserFolder(String username)` Get the user folder associated with this user.

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    com.bea.apps.groupspace.folders.Folder create(String title,
                                                  String description,
                                                  com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                  String owner,
                                                  com.bea.apps.groupspace.folders.Folder parentFolder)
                                                  throws com.bea.content.AuthenticationException,
                                                         com.bea.content.AuthorizationException,
                                                         com.bea.content.NodeExistsException,
                                                         com.bea.content.NoSuchObjectClassException,
                                                         com.bea.content.RepositoryException,
                                                         InstantiationException,
                                                         IllegalAccessException,
                                                         InvocationTargetException

  Parameters
    `title` -
    `description` -
    `visibility` -
    `owner` -
    `parentFolder` -
  Returns
    new Folder
  Throws
    `com.bea.content.AuthenticationException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NodeExistsException`
    `com.bea.content.NoSuchObjectClassException`
    `com.bea.content.RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`

### create

    com.bea.apps.groupspace.folders.Folder create(String title,
                                                  String description,
                                                  com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                  String owner,
                                                  com.bea.content.ID parentID)
                                                  throws com.bea.content.AuthenticationException,
                                                         com.bea.content.AuthorizationException,
                                                         com.bea.content.NodeExistsException,
                                                         com.bea.content.NoSuchObjectClassException,
                                                         com.bea.content.RepositoryException,
                                                         InstantiationException,
                                                         IllegalAccessException,
                                                         InvocationTargetException

  Throws
    `com.bea.content.AuthenticationException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NodeExistsException`
    `com.bea.content.NoSuchObjectClassException`
    `com.bea.content.RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`

### getUserFolder

    com.bea.apps.groupspace.folders.Folder getUserFolder(String username)
                                                         throws InstantiationException,
                                                                IllegalAccessException,
                                                                InvocationTargetException,
                                                                com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                                com.bea.content.AuthenticationException,
                                                                com.bea.content.AuthorizationException,
                                                                com.bea.content.NoSuchNodeException,
                                                                com.bea.content.RepositoryException

  Get the user folder associated with this user. OWNER=username, VISIBILITY="PERSONAL"

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `com.bea.content.AuthenticationException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### getFolder

    com.bea.apps.groupspace.folders.Folder getFolder(String name,
                                                     com.bea.content.Node searchFromNode)
                                                     throws InstantiationException,
                                                            IllegalAccessException,
                                                            InvocationTargetException,
                                                            com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                            com.bea.content.AuthenticationException,
                                                            com.bea.content.AuthorizationException,
                                                            com.bea.content.NoSuchNodeException,
                                                            com.bea.content.RepositoryException

  Look for it before creating. Specify visibility and owner. This will create the folder if it doesn't exist, using default visibility "Community" and owner "GroupSpace" .

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `com.bea.content.AuthenticationException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### getFolder

    com.bea.apps.groupspace.folders.Folder getFolder(String name,
                                                     String searchExpression,
                                                     com.bea.content.Node searchFromNode,
                                                     com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                     String owner)
                                                     throws InstantiationException,
                                                            IllegalAccessException,
                                                            InvocationTargetException,
                                                            com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                            com.bea.content.AuthenticationException,
                                                            com.bea.content.AuthorizationException,
                                                            com.bea.content.NoSuchNodeException,
                                                            com.bea.content.RepositoryException

  Look for it before creating. Specify visibility and owner. This will create the folder if it doesn't exist.

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `com.bea.content.AuthenticationException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### getFolder

    com.bea.apps.groupspace.folders.Folder getFolder(String name,
                                                     String searchExpression,
                                                     com.bea.content.Node searchFromNode)
                                                     throws InstantiationException,
                                                            IllegalAccessException,
                                                            InvocationTargetException,
                                                            com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                            com.bea.content.AuthenticationException,
                                                            com.bea.content.AuthorizationException,
                                                            com.bea.content.NoSuchNodeException,
                                                            com.bea.content.RepositoryException

  Look for it before creating. Take default visibility "Community" and owner "GroupSpace" . This will create the folder if it doesn't exist.

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `com.bea.content.AuthenticationException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### findFolder

    com.bea.apps.groupspace.folders.Folder findFolder(String searchExpression,
                                                      String searchPath)
                                                      throws InstantiationException,
                                                             IllegalAccessException,
                                                             InvocationTargetException,
                                                             com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                             com.bea.content.AuthenticationException,
                                                             com.bea.content.AuthorizationException,
                                                             com.bea.content.NoSuchNodeException,
                                                             com.bea.content.RepositoryException

  Parameters
    `searchExpression` -
    `searchPath` -
  Returns
  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `NodeMapper.NodeMapperException`
    `com.bea.content.AuthenticationException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### getTopFolder

    com.bea.apps.groupspace.folders.Folder getTopFolder(String contentType)
                                                        throws InstantiationException,
                                                               IllegalAccessException,
                                                               InvocationTargetException,
                                                               com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                               com.bea.content.AuthenticationException,
                                                               com.bea.content.AuthorizationException,
                                                               com.bea.content.NoSuchNodeException,
                                                               com.bea.content.RepositoryException

  Parameters
    `contentType` -
  Returns
    Folder
  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `NodeMapper.NodeMapperException`
    `com.bea.content.AuthenticationException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved